<?php
/**
 * Plugin Name: Avis-Authentiques | WooCommerce
 * Plugin URI: https://avis-authentiques.fr/
 * Description: Collect customer's reviews and implement widget from Avis-Authentiques.fr
 * Version: 1.0.0
 * License: GPLv3
 * Domain Path: /languages/
 */

if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly

define( 'AVIS_AUTHENTIQUES_VERSION', '1.0.0' );
define( 'AVIS_AUTHENTIQUES__MINIMUM_WP_VERSION', '4.0' );
define( 'AVIS_AUTHENTIQUES__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

register_activation_hook( __FILE__, array( 'AvisAuthentiques', 'plugin_activation' ) );
register_deactivation_hook( __FILE__, array( 'AvisAuthentiques', 'plugin_deactivation' ) );

require_once( AVIS_AUTHENTIQUES__PLUGIN_DIR . 'class.avis-authentiques.php' );

add_action( 'init', array( 'AvisAuthentiques', 'init' ) );

if ( is_admin() || ( defined( 'WP_CLI' ) && WP_CLI ) ) {
    require_once( AVIS_AUTHENTIQUES__PLUGIN_DIR . 'class.avis-authentiques-admin.php' );
    add_action( 'init', array( 'AvisAuthentiquesAdmin', 'init' ) );
}

//function displayWidget() {
//    wp_enqueue_style('widget-avis-authentiques', 'css/front.css');
//    echo '<review-widget api-key="{$apiKey}" position="{$position}" />';
//}
//add_action('wp_footer', 'displayWidget');
